APIs / Kiwi.com / Flights Detail
Kiwi.com: Flights Detail
Flights Detail from Kiwi.com as JSON. 1 credit per successful call.
GET /v1/kiwi/flights-detail
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin | string | Required | Any |
destination | string | Required | Any |
adults | integer | Optional | Any |
children | integer | Optional | Any |
infants | integer | Optional | Any |
currency | string | Optional | Any |
locale | string | Optional | Any |
cabin | string | Optional | economy, premium_economy, business, first |
departure_date | string | Required | Any |
return_date | string | Optional | Any |
max_stops | integer | Optional | Any |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
sort | string | Optional | quality, price, duration |
limit | integer | Optional | Any |
carriers[] | list of string | Optional | Any |
exclude_carriers[] | list of string | Optional | Any |
itinerary_id | string | Required | Up to 2,000 characters |
Example request
curl "https://api.perceptlayer.com/v1/kiwi/flights-detail" \
-H "X-API-Key: $API_KEY"